Skip to main content
GET
Get model by id

Authorizations

X-Domino-Api-Key
string
header
required

Query Parameters

model_id
string
workbench_model_version_id
string

Response

Successfully fetched the Model.

Model Config to be used to register a model with DMM.

modelType
enum<string>
required

Type of the Model.

Available options:
classification,
regression
name
string
required

Name of the Model.

version
string
required

Version of the Model.

createdAt
integer
required

Creation timestamp of the Model.

id
string
required

Model Identifier.

ingestionStatus
enum<string>
required

Dataset Ingestion status for a model.

Available options:
created,
training,
prediction,
ground_truth
isDeleted
boolean
required

Whether the model is deleted or not.

registrationStatus
enum<string>
required

Registration status of a model.

Available options:
draft,
created,
deleted
updatedAt
integer
required

Last update timestamp for the Model.

userId
string
required

Id of the model owner, who created the model.

author
string

Author of the Model.

dateCreated
integer | null

The creation date of the model.

description
string

Description for the Model.

sourceDetails
Domino Workbench model's details. · object

Model details associated with a Domino workbench model.

sourceType
enum<string>

Source for the model registration.

Available options:
domino_workbench,
standalone
collaborators
object[]
ownerEmail
string

email of the model owner, who created the model.

ownerName
string

name of the model owner, who created the model.

ownerUsername
string

username of the model owner, who created the model.

tags
Model Tag · object[]

List of tags associated with the model

visibility
enum<string>

Model visibility

Available options:
public,
private
permissions
Model Permissions · object

Permission metadata required for a model response

Last modified on August 19, 2026